View Issue Details

IDProjectCategoryView StatusLast Update
0035554FPCPackagespublic2019-05-17 22:45
ReportersilvioprogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.1Product Build 
Target VersionFixed in Version3.3.1 
Summary0035554: [PATCH] fcl-db: oracle: add convenience support for largeint data type in output parameters.
DescriptionHello.

The attached patch add convenience support for largeint in output parameters.

Thank you!
TagsNo tags attached.
Fixed in Revision42041
FPCOldBugId
FPCTarget3.2.0
Attached Files
  • 0001-fcl-db-oracle-add-convenience-support-for-largeint-d.patch (1,276 bytes)
    From a10cf26ed538fd6f54e046831de484cefea2a8d3 Mon Sep 17 00:00:00 2001
    From: silvioprog <silvioprog@gmail.com>
    Date: Fri, 10 May 2019 01:59:00 -0300
    Subject: [PATCH 1/1] fcl-db: oracle: add convenience support for largeint data
     type in output parameters.
    
    ---
     packages/fcl-db/src/sqldb/oracle/oracleconnection.pp | 3 ++-
     1 file changed, 2 insertions(+), 1 deletion(-)
    
    diff --git a/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp b/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp
    index cb29f44ae6..b3e60e7e67 100644
    --- a/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp
    +++ b/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp
    @@ -1,7 +1,7 @@
     unit oracleconnection;
     
     {
    -    Copyright (c) 2006-2014 by Joost van der Sluis, FPC contributors
    +    Copyright (c) 2006-2019 by Joost van der Sluis, FPC contributors
     
         Oracle RDBMS connector using the OCI protocol
     
    @@ -358,6 +358,7 @@ begin
     
           case DataType of
             ftInteger         : AsInteger := PInteger(ParamBuffers[i].buffer)^;
    +        ftLargeint        : AsLargeInt := PInt64(ParamBuffers[i].buffer)^;
             ftFloat           : AsFloat := PDouble(ParamBuffers[i].buffer)^;
             ftString          : begin
                                 SetLength(s,ParamBuffers[i].Len);
    -- 
    2.20.1
    
    

Activities

silvioprog

2019-05-10 07:08

reporter  

0001-fcl-db-oracle-add-convenience-support-for-largeint-d.patch (1,276 bytes)
From a10cf26ed538fd6f54e046831de484cefea2a8d3 Mon Sep 17 00:00:00 2001
From: silvioprog <silvioprog@gmail.com>
Date: Fri, 10 May 2019 01:59:00 -0300
Subject: [PATCH 1/1] fcl-db: oracle: add convenience support for largeint data
 type in output parameters.

---
 packages/fcl-db/src/sqldb/oracle/oracleconnection.pp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp b/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp
index cb29f44ae6..b3e60e7e67 100644
--- a/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp
+++ b/packages/fcl-db/src/sqldb/oracle/oracleconnection.pp
@@ -1,7 +1,7 @@
 unit oracleconnection;
 
 {
-    Copyright (c) 2006-2014 by Joost van der Sluis, FPC contributors
+    Copyright (c) 2006-2019 by Joost van der Sluis, FPC contributors
 
     Oracle RDBMS connector using the OCI protocol
 
@@ -358,6 +358,7 @@ begin
 
       case DataType of
         ftInteger         : AsInteger := PInteger(ParamBuffers[i].buffer)^;
+        ftLargeint        : AsLargeInt := PInt64(ParamBuffers[i].buffer)^;
         ftFloat           : AsFloat := PDouble(ParamBuffers[i].buffer)^;
         ftString          : begin
                             SetLength(s,ParamBuffers[i].Len);
-- 
2.20.1

Michael Van Canneyt

2019-05-12 09:54

administrator   ~0116142

Checked and applied, thank you very much !

silvioprog

2019-05-17 22:45

reporter   ~0116239

Thank very much dude! :-)

Issue History

Date Modified Username Field Change
2019-05-10 07:08 silvioprog New Issue
2019-05-10 07:08 silvioprog File Added: 0001-fcl-db-oracle-add-convenience-support-for-largeint-d.patch
2019-05-10 09:17 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-05-10 09:17 Michael Van Canneyt Status new => assigned
2019-05-12 09:54 Michael Van Canneyt Status assigned => resolved
2019-05-12 09:54 Michael Van Canneyt Resolution open => fixed
2019-05-12 09:54 Michael Van Canneyt Fixed in Version => 3.3.1
2019-05-12 09:54 Michael Van Canneyt Fixed in Revision => 42041
2019-05-12 09:54 Michael Van Canneyt FPCTarget => 3.2.0
2019-05-12 09:54 Michael Van Canneyt Note Added: 0116142
2019-05-17 22:45 silvioprog Status resolved => closed
2019-05-17 22:45 silvioprog Note Added: 0116239